import { Context, PropsWithChildren, ReactElement } from "react";
export interface NerdFileUploadWrapperProps {
    dropFile?: boolean;
}
interface NerdFileUploadContextType {
    nerdFileUploadCallbacks: Map<string, {
        callback: (e: React.DragEvent<HTMLDivElement>) => void;
        label?: string;
    }>;
    subscribe: (id: string, callback: (e: React.DragEvent<HTMLDivElement>) => void, label?: string) => void;
    unsubscribe: (id: string) => void;
}
declare const NerdFileUploadContext: Context<NerdFileUploadContextType>;
export { NerdFileUploadContext };
/**
 *
 * @param {PropsWithChildren<NerdFileUploadWrapperProps>} props NerdFileUploadWrapper props
 * @returns {ReactElement} NerdFileUploadWrapper
 */
export default function NerdFileUploadWrapper(props: PropsWithChildren<NerdFileUploadWrapperProps>): ReactElement;
